stages:
  - render_html
  - render_pdf

reveal:
  stage: render_html
  image:
    name: pandoc/core:3.1
    entrypoint: ["/bin/sh", "-c"]
  script:
    - apk add --no-cache make
    - make ci.render_html
  artifacts:
    paths:
      - public

pages:
  stage: render_pdf
  image:
    name: pierrecamilleri/decktape-gitlab-ci:latest
  variables:
    DECKTAPE_CMD: "node /decktape/decktape.js  --chrome-path chromium-browser --chrome-arg=--no-sandbox"
  script:
    - apk add --no-cache make font-carlito fontconfig wget
    - fc-cache -fv
    - make ci.render_pdf DECKTAPE_CMD="${DECKTAPE_CMD}"
  artifacts:
    paths:
      - public


